Skip to main content
POST
/
v1
/
analysis-results
/
query
Query Analysis Results
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-results/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "totalPages": 123,
  "totalElements": 123,
  "pageable": {
    "paged": true,
    "pageNumber": 123,
    "pageSize": 123,
    "unpaged": true,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "first": true,
  "last": true,
  "size": 123,
  "content": [
    {
      "id": "<string>",
      "version": 123,
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "analysisId": "<string>",
      "engagementId": "<string>",
      "analysisTypeId": "<string>",
      "interim": true,
      "analysisPeriods": [
        {
          "startDate": "2023-12-25",
          "endDate": "2023-12-25",
          "id": "<string>",
          "interimAsAtDate": "2023-12-25"
        }
      ],
      "reportingPeriodConfigurationId": "<string>"
    }
  ],
  "number": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "numberOfElements": 123,
  "empty": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:0

Zero-based page index (0..N)

Required range: x >= 0
size
integer
default:20

The size of the page to be returned

Required range: x >= 1
sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Body

application/json
operator
enum<string>
required
Available options:
$eq,
$ne,
$gt,
$gte,
$lt,
$lte,
$contains,
$ncontains,
$in,
$nin,
$flags,
$keyword_prefix,
$keyword_prefix_not,
$isubstr,
$iprefix,
$niprefix,
$between,
$nbetween,
$and,
$or,
$population,
$not_population,
null
{key}

Response

200 - application/json

OK

totalPages
integer<int32>
totalElements
integer<int64>
pageable
object
first
boolean
deprecated
last
boolean
deprecated
size
integer<int32>
deprecated
content
Analysis Result · object[]
number
integer<int32>
deprecated
sort
object
deprecated
numberOfElements
integer<int32>
empty
boolean